BANK KALTENG Bugs - Bug #3270

[HR-Report]perbaikan pada report travell all dimana untuk cost type hanya muncul 2 data , padahal di
master data ada 1 data lagi yang belum tampil.

12/06/2024 03:04 PM - Muhammad Bintar

Status: QA Test Start date: 12/06/2024
Priority: Normal Due date: 12/10/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer mohon supportnya untuk perbaikan pada report travell all dimana untuk cost type kode 7000 hanya muncul 2
data , padahal di master data ada 3 data, jadi 1 data lagi yang belum tampil.
sp nya seperti ini ya==

--USE [MinovaES_BankKalteng_Prod]

--GO

--/****** Object: StoredProcedure [dbo].[PRPTTVTRAVELALL] Script Date: 06/12/2024 14.32.04 **/
--SET ANSI_NULLS ON

--GO

--SET QUOTED_IDENTIFIER ON

--GO

----USE [MinovaES_Bank_Kalteng_Dev]

----GO

----/*** Object: StoredProcedure [dbo].[PRPTTVTRAVELALL] Script Date: 24/09/2024 10.07.42 */
----SET ANSI_NULLS ON

----GO

----SET QUOTED_IDENTIFIER ON

----GO

--ALTER PROCEDURE [dbo].[PRPTTVTRAVELALL]
--  @PeriodFrom VARCHAR,
--  @PeriodTo VARCHAR,

--  @EmployeelDFrom VARCHAR,
--  @EmployeelDTo VARCHAR,

--  @TravelStatus VARCHAR,

--  @TravelType VARCHAR,

--  @CompanyI|D VARCHAR,

-- @UserlD VARCHAR,

--  @MenulD VARCHAR

--AS

DECLARE @PeriodFrom VARCHAR (8) ='20241118'
DECLARE @PeriodTo VARCHAR (8) = '20241121'
DECLARE @EmployeelDFrom VARCHAR (8) = '00000122'
DECLARE @EmployeelDTo VARCHAR (8) = '00000122'
DECLARE @TravelStatus VARCHAR (8) = '02'

DECLARE @TravelType VARCHAR (8) ="

DECLARE @CompanylD VARCHAR (10) = '1000'
DECLARE @UserID VARCHAR (100) = 'minovais'
DECLARE @MenulD VARCHAR (10) = 'TVR0002'

IF ( @EmployeelDFrom <> ")

BEGIN

IF ( @EmployeelDTo =")

BEGIN

SET @EmployeelDTo = @EmployeelDFrom
END

END

DECLARE @EMP TABLE
(
[emp_id] VARCHAR ,
[full_name] VARCHAR ,
[pos] VARCHAR ,

[org] VARCHAR ,
[grade] VARCHAR

)

INSERT INTO @EMP
SELECT DISTINCT
m1.[EmployeelD],
m1.[FullName],

m2.position ,

m2.organization ,
m3.PayrollGrade

FROM dbo.PHRPA0001 m1

LEFT OUTER JOIN dbo.PHRPA0002 m2 ON m1.EmployeelD = m2.EmployeelD

AND m2.StartDate <= @PeriodFrom
AND m2.EndDate >= @PeriodTo

LEFT OUTER JOIN dbo.PHRPA0003 m3 ON m1.EmployeelD = m3.EmployeelD

AND m3.StartDate <= @PeriodFrom
AND m3.EndDate >= @PeriodTo

DECLARE @EMP_temp TABLE
(
[emp_id] VARCHAR ,
[full_name] VARCHAR ,
[pos] VARCHAR ,

[org] VARCHAR ,
[grade] VARCHAR

)

IF ( @EmployeelDTo <> ")
BEGIN

INSERT INTO @EMP_temp
SELECT *
FROM @EMP

WHERE emp_id <= @EmployeelDTo
DELETE FROM @EMP

INSERT INTO @EMP

SELECT *

FROM @EMP_temp

DELETE FROM @EMP_temp

END

IF ( @EmployeelDFrom <> ")
BEGIN

INSERT INTO @EMP_temp
SELECT *

FROM @EMP

WHERE emp_id >= @EmployeelDFrom
DELETE FROM @EMP
INSERT INTO @EMP
SELECT *

FROM @EMP_temp
DELETE FROM @EMP_temp
END

INSERT INTO @EMP_temp

SELECT DISTINCT

m1.[emp_id],

m1.[full_name],

pos.[ObjectDescription] ,

org.[ObjectDescription] ,

gr.[PayrollGradeDescription]

FROM @EMP m1

LEFT OUTER JOIN dbo.PHROMO0001 pos ON m1.pos = pos.[ObjectID]
AND pos.StartDate <= @PeriodFrom

AND pos.EndDate >= @PeriodTo

AND pos.ObjectClass = 'P'

LEFT OUTER JOIN dbo.PHROMO0001 org ON m1.org = org.[ObjectID]
AND org.StartDate <= @PeriodFrom

AND org.EndDate >= @PeriodTo

AND org.ObjectClass = 'O’

LEFT OUTER JOIN PHRPYPGRAD gr ON m1.grade = gr.PayrollGrade

DELETE FROM @EMP
INSERT INTO @EMP
SELECT *

FROM @EMP_temp
DELETE FROM @EMP_temp

DECLARE @DATA TABLE
(
--[landscape] VARCHAR ,
[emp_id] VARCHAR ,
[start_date] VARCHAR ,
[end_date] VARCHAR,
[doc_status] VARCHAR,
[type] VARCHAR ,
[reason] VARCHAR ,
[depature] VARCHAR ,
[destination] VARCHAR ,
[full_name] VARCHAR ,
[pos] VARCHAR,

[org] VARCHAR ,

[grade] VARCHAR ,
[doc_num] VARCHAR
--[number] VARCHAR

)

INSERT INTO @DATA
SELECT DISTINCT
--m62_h.landscape,

m1.[emp_id],

m62_h.[StartDate] ,

m62_h.[EndDate] ,

m62_h.[TravelStatus] ,

m62_h.[TravelType] ,

m62_h.[TravelReason] ,

m62_h.[Departure] ,

m62_h.[Destination] ,

m1.[full_name],

m1.[pos],

m1.[org],

m1.[grade],

m62_h.[HeaderSequence]

FROM @EMP m1

INNER JOIN dbo.PHRPA0062 m62_h ON m1.emp_id = m62_h.EmployeelD
WHERE (m62_h.TravelType = @TravelType

OR @TravelType ="

)
AND ( m62_h.TravelStatus = @TravelStatus
OR @TravelStatus ="

)

DECLARE @DATA_Temp TABLE
(
--[landscape] VARCHAR ,
[emp_id] VARCHAR ,
[start_date] VARCHAR ,
[end_date] VARCHAR,
[doc_status] VARCHAR,
[type] VARCHAR ,
[reason] VARCHAR ,
[depature] VARCHAR ,
[destination] VARCHAR ,
[full_name] VARCHAR
[pos] VARCHAR,

[org] VARCHAR ,

[grade] VARCHAR ,
[doc_num] VARCHAR
--[number] VARCHAR

)

IF (@PeriodFrom <> ")

BEGIN

INSERT INTO @DATA_Temp
SELECT *

FROM @DATA

WHERE start_date >= @PeriodFrom
AND start_date <= @PeriodTo
DELETE FROM @DATA
INSERT INTO @DATA
SELECT *

FROM @DATA _Temp
DELETE FROM @DATA_Temp
END

IF (@PeriodTo <>")

BEGIN

INSERT INTO @DATA_Temp
SELECT *

FROM @DATA

WHERE start_date >= @PeriodFrom
AND start_date <= @PeriodTo
--WHERE end_date <= @PeriodTo
DELETE FROM @DATA

INSERT INTO @DATA

SELECT *
FROM @DATA_Temp
DELETE FROM @DATA_Temp
END

IF ( @TravelStatus <> ")

BEGIN

INSERT INTO @DATA_Temp
SELECT *

FROM @DATA

WHERE [doc_status] = @TravelStatus
DELETE FROM @DATA
INSERT INTO @DATA
SELECT *

FROM @DATA_Temp
DELETE FROM @DATA_Temp
END

IF (@TravelType <> ")
BEGIN

INSERT INTO @DATA_Temp
SELECT *

FROM @DATA

WHERE type = @TravelType
DELETE FROM @DATA
INSERT INTO @DATA
SELECT *

FROM @DATA_Temp
DELETE FROM @DATA_Temp
END

SELECT DISTINCT --cost.*,

head.emp_id,

head.full_name ,

md2.Position ,

pos.ObjectDescription pos ,

md2.0Organization ,

org.ObjectDescription org ,

md3.PayrollGrade ,

gradedesc.PayrollGradeDescription gradedesc ,

head.type ,

trtypedesc.TravelTypeDescription trtypedesc ,

head.doc_status ,

trstatdesc.TravelStatusDescription trstatdesc ,

head.[doc_num] doc_number ,

head.start_date AS start_date,

head.end_date AS end_date,
dbo.fn_formatdatetime(head.start_date, 'dd/mm/yyyy') StartDate ,
dbo.fn_formatdatetime(head.end_date, 'dd/mm/yyyy') EndDate ,
head.destination ,

head.reason ,

cost.CostType ,

costdesc.CostTypeDesc costdesc,

cost.Currency

cost.AmountPlan ,

cost.AmountSettlement ,

cost.AmountApproval ,

CONVERT

- CONVERT balanced ,

curr.Currency AS curr_desc,

curr.CurrencyDescription AS curr_name,

md2.CompanyID

FROM @DATA head

LEFT JOIN dbo.PHRPAO0065 cost ON head.emp_id=cost.EmployeelD AND head.[doc_num] = cost.HeaderSequence
LEFT JOIN dbo.PHRPA0064 accom ON head.emp_id=accom.EmployeelD AND head.[doc_num] = accom.HeaderSequence
LEFT JOIN dbo.PHRPAOQ063 route ON head.emp_id=route.EmployeelD AND head.[doc_num] = route.HeaderSequence

——AND head.landscape = cost.landscape
——JOIN hr_md_emp_md0001 mdl

——ON head.emp_id = mdl.emp_id

——AND head.landscape = mdl.landscape

——AND mdl.start_date <= head.end_date

——AND mdl.end_date >= head.end_date
LEFT
LEFT
LEFT
JOIN

JOIN PHRTVTRAVSTAT trstatdesc

JOIN PHRTVCOSTYP costdesc ON cost.CostType =
JOIN PHRTVTRAVTYP trtypedesc ON head.type =

dbo .PHRPAQOO002 md2 ON head.emp_id =
——AND head.landscape =

costdesc.CostType
trtypedesc.TravelType
ON head.doc_status =
md2 .EmployeeID
md2.landscape

trstatdesc.TravelStatus

AND md2.StartDate <= head.end_date
AND md2.EndDate >= head.end_date

JOIN dbo.PHRPAOOO3 md3 ON

head.emp_id =
——AND head.landscape =

md3.EmployeelD
md3.landscape

AND md3.StartDate <= head.end_date
AND md3.EndDate >= head.end_date

LEFT
LEFT JOIN dbo.PHROMO00l pos ON md2.
AND
AND
AND
md2 .
AND
AND
AND

LEFT JOIN dbo.PHRPYCURR AS curr ON
( md2.CompanyID = @CompanyID

OR @CompanyID = "'

)

LEFT JOIN dbo.PHROMO00O1l org ON

WHERE

tinggal execute aja ke database kalteng dev sini

JOIN PHRPYPGRAD gradedesc ON md3.PayrollGrade =

gradedesc.PayrollGrade
Position = pos.ObjectID

pos.ObjectClass = 'P'

pos.StartDate <= head.end_date
pos.EndDate >= head.end_date
Organization = org.ObjectID
org.ObjectClass = 'O'

org.StartDate <= head.end_date
org.EndDate >= head.end_date

curr.Currency = cost.Currency

History

#1 - 12/06/2024 03:08 PM - Muhammad Bintar
- Description updated

#2 - 12/06/2024 03:11 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#3 - 01/03/2025 06:07 PM - shofwan shiddiq
- File clipboard-202501031806-53pig.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar
Travel Status Start Date End Date Destination Reason Cost Type Currency | Amount Plan | Amount Settlement | Amount Approval | Amount Balanced

Settlement 18/11/2024 22/11/2024 Bandung UAT Change |Biaya Rp o 2,000,000 0 0
Request Travel/Tiket
aplikasi Auto | Pesawat/BBM
B Organization Management Reconcile Biaya Rp 0 2,000,000 0 0
Travel/Tiket
Pesawat/BBM
s tnet Biaya Taksi Rp 0 600,000 0 0
ke/dari
Bandara PP
(Dinas Luar
Wilayah
Travel Document Kalimantan
Tengah)
Biaya Rp 0 300,000 0 0
Upload Travel Master Data Travel/Tiket
Pesawat/BBM
Biaya Rp 0 3,400,000 0 0
Penginapan
Dinas Luar
Wilayah
Kalimantan
Tengah
Surat Perintah Perjalanan Uang Harian Rp 0 2,200,000 0 0
. Dinas Luar
Dinas Wilayah
Kalimantan
Tengah
Uang Makan Rp 0 1,250,000 0 0
Dinas Luar
Wilayah
Kalimantan
Tengah

B Employee Administration

Travel Master Data

Export Travel Data

Travel Employee (Individu)

Pindah Buku

6:06 PM
1/3/2025 =

&) @

Sudah di munculin ya.

update : sp = PRPTTVTRAVELALL
